# FPC-III

This is FPC-III, the Freely Programmable Computer.  It is designed to
allow users to program it as flexibly as is practical, by avoiding
technical or legal restrictions on the ways it can be configured.

The design is centred around an 84,000 logic element FPGA (which can
be configured to incorporate one or more soft CPUs), and also includes
512 MB RAM, and small flash and EEPROM configuration storage.
Peripherals include an SD card, 100 Mb Ethernet, HDMI, various USB
ports, and an amateur radio transceiver.

The `hardware` directory contains schematics and a PCB layout for
building an FPC-III, in KiCad format: <https://kicad.org>.  Sample
FPGA configurations are provided under the `tests` directory, useful
for checking the hardware is operating correctly.  Yosys
<http://bygone.clairexen.net/yosys/> and nextpnr
<https://github.com/YosysHQ/nextpnr> are capable of synthesising the
Verilog HDL provided, and then Project Trellis
<https://github.com/YosysHQ/prjtrellis> can generate the corresponding
bitstream, and OpenOCD <http://openocd.org/> can perform configuration
via JTAG.

FPC-III was designed by Gary Wong, <gtw@gnu.org>.

<--
Copyright 2020, Gary Wong.

Copying and distribution of this file, with or without modification,
are permitted in any medium without royalty, provided the copyright
notice and this notice are preserved.  This file is offered as-is,
without any warranty.
-->
